Bug 10778 - libsmbclient with SMB2 doesn't pipeline or use large blocks
libsmbclient with SMB2 doesn't pipeline or use large blocks
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: libsmbclient
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-08-22 16:30 UTC by Ross Lagerwall
Modified: 2014-10-13 10:48 UTC (History)
1 user (show)

See Also:


Attachments
patch for the bug (1.01 KB, patch)
2014-08-22 16:30 UTC, Ross Lagerwall
no flags Details
git-am fix for 4.1.next and 4.0.next. (1.25 KB, patch)
2014-08-22 19:20 UTC, Jeremy Allison
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ross Lagerwall 2014-08-22 16:30:01 UTC
Created attachment 10217 [details]
patch for the bug

While playing around with various block sizes used with libsmbclient, I
noticed the following behavior:
- when reading 2MB chunks, libsmbclient would request 64512 bytes and
  pipeline many of them at once.
- when forced to use SMB2 (against Win7 server), libsmbclient would use
  65536 byte requests and only send 1 at a time.

The latter behavior is in contrast to what I get when using smbclient
and forcing SMB2: smbclient requests two 1MiB requests concurrently.

The attached patch fixes the problem and has been reviewed on the mailing list.  It probably needs to be backported to 4.1.
Comment 1 Jeremy Allison 2014-08-22 19:20:45 UTC
Created attachment 10219 [details]
git-am fix for 4.1.next and 4.0.next.

Patch that went into master. Applies cleanly to 4.1.next, 4.0.next.
Comment 2 Jeremy Allison 2014-08-25 18:34:12 UTC
Karolin please pick for 4.1.next, 4.0.next - thanks !

Jeremy.
Comment 3 Karolin Seeger 2014-09-01 18:57:48 UTC
Pushed to autobuild-v4-[0|1]-test.
Comment 4 Karolin Seeger 2014-09-03 07:28:17 UTC
Pushed to both branches.
Closing out bug report.

Thanks!